/* *************************************************************** */
/* Tämä on CSS-tiedosto, jossa on määritelty reaaliaikaisilla      */
/* magnetometridatasivuilla käytetyt tyylit.                       */
/*                                                                 */
/*                   (c)   Lasse Häkkinen 2009                     */
/* *************************************************************** */


/* Zero down margin and padding on all elements */

* {
	margin  : 0;
	padding : 0;
}

body { background-color  : #eeeeee; }

#wrapper {
	width	   : 640px;
	margin	   : 10px auto;
	text-align : center;
	font	   : normal 62.5% Tahoma, "Lucida Grande", Arial, sans-serif;
	color	   : black;
}

table {
	margin			 : 0px auto 10px auto;
	background-color : white;
	border-spacing   : 0px;
	border			 : 1px solid #111111;
}

th {
	text-align	  : center;
	padding		  : 5px;
	color		  : white;
	border-bottom : 1px solid #333333;
	background-color : #009655;
}

td {
	text-align	   : center;
	padding-top	   : 0px;
	vertical-align : top;
}


/* -------- */
/*  BANNER  */
/* -------- */

#banner h1 {
	background-color : #009655;
	font-size  : 1.8em;
	color      : white;
	text-align : center;
	padding    : 5px;
}

#banner p {
	font-size  : 1.2em;
	text-align : justify;
	margin     : 15px 10px;
}

#banner div.logo {
	border	   	  : 1px solid gray;
	margin-bottom : 15px;
	text-align	  : left;
	background	  : url(fmi_banner.gif) no-repeat right top;
	background-color : white;
}

#banner img {
	margin : 3px 0px 0px 3px;
	border : 0px;
}


/* ------------- */
/*  STATION_MAP  */
/* ------------- */

#station_map {
	float: left;
	width: 264px;
}

#station_map table {
	width		: 264px;
	margin-top	: 10px;
}

#station_map .titles {
	border-bottom : 1px solid #333333;
	padding		  : 3px 0px;
}

#station_map .id {
	text-align	 : left;
	padding-left : 20px;
}

#station_map .last {
	padding-bottom : 5px;
}


/* ------------- */
/*  DATA_TABLES  */
/* ------------- */

#data_tables {
	margin-left  : 264px;
	padding-left : 10px;
}

#data_tables td {
	border-bottom : 1px solid #bbbbbb;
	border-right : 1px solid #bbbbbb;
}

#data_tables td.titles {
	padding		  : 3px 0px;
	border-bottom : 1px solid #333333;
}

#data_tables td.station_name {
	padding			: 0px 10px 0px 10px;
	text-align		: left;
	vertical-align	: middle;
	font-weight		: bold;
}

#data_tables td.comps { padding : 1px 4px 1px 4px; }

#data_tables td.no_leftborder { border-left : 0px; }
#data_tables td.no_topborder  { border-top  : 0px; }

#data_tables td:first-child { border-left : 0px; }
#data_tables td:last-child { border-right : 0px; }
#data_tables tr:last-child td { border-bottom : 0px; }

#data_tables td.data {
	background-color : #ebf0eb;
}

#data_tables a {
	display			: block;
	text-decoration : none;
	margin			: 1px auto 1px auto;
	vertical-align	: middle;
	width			: 40px;
	font-family		: Tahoma, "Lucida Grande", Arial, sans-serif;
	color			: black;
}

#data_tables a:hover {
	color			 : white;
	background-color : #336633;
}

#data_tables p {
	font : normal 0.7em Tahoma, "Lucida Grande", Arial, sans-serif;
}


/* -------- */
/*  FOOTER  */
/* -------- */

#footer {
	clear		: both;
	margin-top  : 25px;
	padding		: 10px 20px 10px 20px;
	font		: italic 8pt Arial, sans-serif;
	text-align	: justify;
	border-top	  : 1px solid #bbbbbb;
	border-bottom : 1px solid #bbbbbb;
}


/* ---------------------------------------------*/
/* Warning messages.                            */
/* ---------------------------------------------*/

#javascript_box {
	margin	: 20px;
	border	: 1px solid #ccc;
	padding	: 20px;
	background-color: #e4dfe2;
}

#javascript_required {
	text-align : center;
	color      : red;
	font-size  : 14pt;
}
